# -*- coding: UTF-8 -*-

require 'spec_helper'
require 'yaml'
require 'logger'

describe BaiduAiPlatform::VoiceSynthesizer do

  it 'get_baidu_ai_voice should be successful' do
    account_info = YAML.load_file('./spec/fixtures/baidu_voice_synthesis.yml')
    BaiduAiPlatform.debug_mode = true
    BaiduAiPlatform.logger = Logger.new STDOUT 
    BaiduAiPlatform.api_key = account_info['api_key']
    BaiduAiPlatform.secret_key = account_info['secret_key']
    BaiduAiPlatform::VoiceSynthesizer.play_ai_voice 'QR-000000001', '横琴号十号线, 车辆即将到达创意谷，有 23 名乘客上车， 5 人下车'
    BaiduAiPlatform::VoiceSynthesizer.play_ai_voice 'QR-000000001', '横琴号十号线, 车辆即将到达银鑫花园，有 8 名乘客上车， 0 人下车'
    BaiduAiPlatform::VoiceSynthesizer.play_ai_voice 'QR-000000001', '横琴号十号线, 车辆即将到达横琴金融中心，有 6 名乘客上车， 0 人下车'
  end

end
