[![Build Status](https://rubygems.org//baidu_aip_ruby_sdk.svg)](https://rubygems.org//baidu_aip_ruby_sdk)

baidu_aip_ruby_sdk
=========

Baidu AI Platform ruby sdk, unofficial.

Table of Contents
-----------------
* [Installation](#installation)
* [Quick Start](#quick-start)
* [Library Overview](#library-overview)
* [License](#license)
* [Contact](#contact)


Installation
------------

You may get the latest stable version from [Rubygems]:

    $ gem install baidu_aip_ruby_sdk

For bundler:

gem 'baidu_aip_ruby_sdk'


Quick Start
-----------

~~~ ruby
require 'rubygems'
require 'baidu_aip_ruby_sdk'

# BaiduVoiceSynthesis example
BaiduAiPlatform.api_key = account_info['api_key']
BaiduAiPlatform.secret_key = account_info['secret_key']
BaiduAiPlatform::BaiduVoiceSynthesizer::.play_baidu_ai_voice 'QR-00000001', '横琴号十号线, 车辆即将到达创意谷，有 23 名乘客上车， 5 人下车'

~~~


Library Overview
----------------

### Connecting ###

TLS/SSL is enabled by default:

~~~ ruby
Net::HTTP.start(uri.host, uri.port, :use_ssl => uri.scheme == 'https') do |http|
~~~

License
-------

The baidu_aip_ruby_sdk ruby gem is licensed under the terms of the MIT license.
See the file LICENSE for details.


Contact
-------

* Author:    LCola
* Email:     developer@lcola.cn
* Home Page: [LCola]


[LCola]:          https://www.lcola.cn/
[Rubygems]:       http://rubygems.org/
[Bundler]:        http://bundler.io/
